import { Observable } from 'rxjs';
import { OpenIdConfiguration } from '../config/openid-configuration';
import { LoggerService } from '../logging/logger.service';
import { CryptoService } from '../utils/crypto/crypto-service';
import { TokenHelperService } from '../utils/tokenHelper/token-helper.service';
import { JwtWindowCryptoService } from './jwt-window-crypto.service';
import * as i0 from "@angular/core";
export declare class TokenValidationService {
    private tokenHelperService;
    private loggerService;
    private jwtWindowCryptoService;
    private cryptoService;
    private document;
    static refreshTokenNoncePlaceholder: string;
    keyAlgorithms: string[];
    constructor(tokenHelperService: TokenHelperService, loggerService: LoggerService, jwtWindowCryptoService: JwtWindowCryptoService, cryptoService: CryptoService, document: any);
    hasIdTokenExpired(token: string, configuration: OpenIdConfiguration, offsetSeconds?: number, disableIdTokenValidation?: boolean): boolean;
    validateIdTokenExpNotExpired(decodedIdToken: string, configuration: OpenIdConfiguration, offsetSeconds?: number, disableIdTokenValidation?: boolean): boolean;
    validateAccessTokenNotExpired(accessTokenExpiresAt: Date, configuration: OpenIdConfiguration, offsetSeconds?: number): boolean;
    validateRequiredIdToken(dataIdToken: any, configuration: OpenIdConfiguration): boolean;
    validateIdTokenIatMaxOffset(dataIdToken: any, maxOffsetAllowedInSeconds: number, disableIatOffsetValidation: boolean, configuration: OpenIdConfiguration): boolean;
    validateIdTokenNonce(dataIdToken: any, localNonce: any, ignoreNonceAfterRefresh: boolean, configuration: OpenIdConfiguration): boolean;
    validateIdTokenIss(dataIdToken: any, authWellKnownEndpointsIssuer: any, configuration: OpenIdConfiguration): boolean;
    validateIdTokenAud(dataIdToken: any, aud: any, configuration: OpenIdConfiguration): boolean;
    validateIdTokenAzpExistsIfMoreThanOneAud(dataIdToken: any): boolean;
    validateIdTokenAzpValid(dataIdToken: any, clientId: string): boolean;
    validateStateFromHashCallback(state: any, localState: any, configuration: OpenIdConfiguration): boolean;
    validateSignatureIdToken(idToken: string, jwtkeys: any, configuration: OpenIdConfiguration): Observable<boolean>;
    private getImportAlg;
    private getVerifyAlg;
    private alg2kty;
    validateIdTokenAtHash(accessToken: string, atHash: string, idTokenAlg: string, configuration: OpenIdConfiguration): Observable<boolean>;
    private millisToMinutesAndSeconds;
    private calculateNowWithOffset;
    static ɵfac: i0.ɵɵFactoryDeclaration<TokenValidationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TokenValidationService>;
}
